﻿
:root {
    --ch-color-general-green-dark-max: #154F37;
    --ch-color-general-green-dark-mid: #197343;
    --ch-color-general-green-dark-low: #239A58;
    --ch-color-general-green-regular: #36BF72;
    --ch-color-general-green-light-low: #72D79D;
    --ch-color-general-green-light-mid: #A8ECBF;
    --ch-color-general-green-light-max: #E2FCEA;
    --ch-color-general-red-dark-max: #5E1617;
    --ch-color-general-red-dark-mid: #861A1A;
    --ch-color-general-red-dark-low: #B41E1D;
    --ch-color-general-red-regular: #D82E2F;
    --ch-color-general-red-light-low: #E26166;
    --ch-color-general-red-light-mid: #F0A8A8;
    --ch-color-general-red-light-max: #F9E5E6;
    --ch-color-general-yellow-dark-max: #5C4611;
    --ch-color-general-yellow-dark-mid: #8D6A1D;
    --ch-color-general-yellow-dark-low: #E0BA51;
    --ch-color-general-yellow-regular: #ffa241;
    --ch-color-general-yellow-light-low: #F8E19D;
    --ch-color-general-yellow-light-mid: #FCF2D5;
    --ch-color-general-yellow-light-max: #FDFCF4;
    --ch-color-general-blue-dark-max: #15324F;
    --ch-color-general-blue-dark-mid: #194673;
    --ch-color-general-blue-dark-low: #235E9A;
    --ch-color-general-blue-regular: #3380CC;
    --ch-color-general-blue-light-low: #72A4D7;
    --ch-color-general-blue-light-mid: #A8CAEC;
    --ch-color-general-blue-light-max: #E2EFFC;
    --ch-color-general-white: #ffffff;
    --tb-ch-color-general-green-dark-max: #154F37;
    --tb-ch-color-general-green-dark-mid: #197343;
    --tb-ch-color-general-green-dark-low: #239A58;
    --tb-ch-color-general-green-regular: #36BF72;
    --tb-ch-color-general-green-light-low: #72D79D;
    --tb-ch-color-general-green-light-mid: #A8ECBF;
    --tb-ch-color-general-green-light-max: #E2FCEA;
    --tb-ch-color-general-red-dark-max: #5E1617;
    --tb-ch-color-general-red-dark-mid: #861A1A;
    --tb-ch-color-general-red-dark-low: #B41E1D;
    --tb-ch-color-general-red-regular: #D82E2F;
    --tb-ch-color-general-red-light-low: #E26166;
    --tb-ch-color-general-red-light-mid: #F0A8A8;
    --tb-ch-color-general-red-light-max: #F9E5E6;
    --tb-ch-color-general-yellow-dark-max: #5C4611;
    --tb-ch-color-general-yellow-dark-mid: #8D6A1D;
    --tb-ch-color-general-yellow-dark-low: #E0BA51;
    --tb-ch-color-general-yellow-regular: #ffa241;
    --tb-ch-color-general-yellow-light-low: #F8E19D;
    --tb-ch-color-general-yellow-light-mid: #FCF2D5;
    --tb-ch-color-general-yellow-light-max: #FDFCF4;
    --tb-ch-color-general-blue-dark-max: #15324F;
    --tb-ch-color-general-blue-dark-mid: #194673;
    --tb-ch-color-general-blue-dark-low: #235E9A;
    --tb-ch-color-general-blue-regular: #3380CC;
    --tb-ch-color-general-blue-light-low: #72A4D7;
    --tb-ch-color-general-blue-light-mid: #A8CAEC;
    --tb-ch-color-general-blue-light-max: #E2EFFC;
    --tb-ch-color-general-white: #ffffff;
}

/******** Firefox specific configurations ********/

/* LP - Firefox reserves 17px for scrollbars, 
        this forces overflow to show when not needed. 
        Ex. the same element in chrome has no scrollbar while in firefox it does */
.k-treeview {
    scrollbar-gutter: stable;
}
/********* Kendo specific configurations *********/
/*************************************************/

.k-input.k-disabled svg path {
    fill: var(--ch-color-secondary-regular-max);
}
.k-window {
    border: none;
}

form .k-textbox.k-input.k-input-md.k-rounded-md.k-input-solid {
    max-width: none;
}

.k-calendar-nav-today.k-flex.k-button:hover {
    color: var(--ch-color-primary-regular);
}

.k-form {
    display: flex;
    align-items: flex-end;
    gap: 1rem;
    flex-wrap: wrap;
    padding: 24px 0px;
}

    .k-form .ch-grid {
        width: 100%;
    }

.k-checkbox, k-checkbox:hover {
    border-color: var(--ch-color-secondary-light-low)
}

    .k-checkbox:checked {
        background-color: var(--ch-color-primary-regular)
    }

        .k-checkbox:checked:hover {
            background-color: var(--ch-color-primary-dark-low)
        }

.k-svg-icon.k-svg-i-caret-alt-right,
.k-svg-icon.k-svg-i-caret-alt-down {
    color: var(--ch-color-secondary-dark-max) !important;
}

.k-grid .k-grid-header thead .k-column-title,
.k-grid .k-grid-header thead .k-header {
    user-select: none;
}

.k-upload input[type=file],
.k-upload input[type=file]::-webkit-file-upload-button {
    cursor: pointer;
}

.k-upload .k-upload-button-wrap:hover .k-button {
    background-color: var(--ch-color-primary-light-max);
}

.k-upload .k-upload-button-wrap:active .k-button {
    background-color: var(--ch-color-primary-light-mid);
}

.k-button.k-primary {
    background-color: var(--ch-color-primary-black);
    color: var(--ch-color-secondary-white);
    padding: 6px 20px;
    align-items: center;
    font-size: 14px;
    width: 100%;
    max-width: max-content;
}

.k-button.k-base {
    background-color: transparent;
    color: var(--ch-color-primary-black);
    padding: 6px 20px;
    align-items: center;
    border: 1px solid var(--ch-color-primary-black);
    font-size: 14px;
}

.k-grid .k-grid-filter,
.k-grid .k-header-column-menu,
.k-grid .k-grid-header-menu,
.k-grid .k-hierarchy-cell .k-icon,
.k-grid .k-hierarchy-cell .k-svg-icon {
    color: #ffffff;
}

.k-multiselecttree-popup.k-popup {
    width: fit-content !important;
}

.k-dropdowntree-popup.k-popup {
    width: fit-content !important;
}

.k-filter-menu-container {
    padding-top: 10px;
}

    .k-filter-menu-container .k-datepicker {
        max-width: 100%;
        width: 100%;
    }

/*************************************************/
/******* Navigation specific configurations ******/

#optionsMenuContentHolder li a {
    display: flex;
    align-items: center;
    justify-content: space-between;
    column-gap: 0.5rem;
}

    #optionsMenuContentHolder li a span::after {
        margin-top: 0;
    }

/*************************************************/
::selection {
    background-color: var(--ch-color-primary-black);
    color: white;
}

::-moz-selection {
    background-color: var(--ch-color-primary-black);
    color: white;
}

#page__content-head h2 {
    margin-top: 3rem;
    margin-bottom: 1.5rem;
}

a, a:visited {
    color: unset;
}

br {
    user-select: none !important;
}

.ch-badge-default {
    background-color: var(--ch-color-primary-black);
    color: white;
}

label {
    user-select: none !important;
    text-transform: uppercase;
    font-size: 11px !important;
    margin-bottom: 0 !important;
}

.containerTable {
    width: 100% !important;
    padding: 0% 5% !important;
}

#filterButton > label {
    text-align: center;
}

.ch-badge {
    background-color: var(--ch-color-primary-regular);
    color: white;
    padding: 0.25rem 0.75rem;
    width: max-content;
    font-size: 0.875rem;
    user-select: none;
    border: 1px solid var(--ch-color-primary-dark-low);
    border-radius: 0.125rem;
}

.ch-grid-badge {
    display: inline-flex;
    align-items: center;
    gap: 4px;
    color: white;
    padding: 4px 6px;
    padding-top: 5px;
    border-radius: 2px;
    font-weight: 600;
    font-size: 13px;
    line-height: 1;
    vertical-align: middle;
    height: 20px;
    max-width: 100%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    flex-shrink: 1;
    user-select: none;
}

    .ch-grid-badge .k-icon {
        font-size: 14px;
        line-height: 1;
        vertical-align: middle;
    }

.ch-grid-badge-fill {
    justify-content: center;
    display: inline-flex;
    align-items: center;
    text-align: left;
    gap: 4px;
    color: white;
    padding: 12px 50px;
    border-radius: 2px;
    font-weight: 500;
    font-size: 14px;
    line-height: 1;
    vertical-align: middle;
    height: 20px;
    max-width: 80%;
    width: 100px;
    width: 100%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    flex-shrink: 1;
}

.ch-grid-badge .k-icon {
    font-size: 14px;
    line-height: 1;
    vertical-align: middle;
}

k-table-row k-master-row k-selected .ch-badge-secondary,
.nav.nav-tabs li .ch-badge-secondary {
    color: white;
    background-color: var(--ch-color-primary-black);
}

.nav.nav-tabs {
    user-select: none;
}

.nav .nav-item a:hover {
    background-color: var(--ch-color-primary-light-max);
}

.ch-badge-green {
    background-color: var(--ch-color-general-green-regular);
    border-color: var(--ch-color-general-green-regular);
}

.ch-badge-yellow {
    background-color: var(--ch-color-general-yellow-regular);
    border-color: var(--ch-color-general-yellow-regular);
}

.ch-badge-dark-blue {
    background-color: var(--ch-color-general-blue-dark-mid);
    border-color: var(--ch-color-general-blue-dark-mid);
}

.ch-badge-red {
    background-color: var(--ch-color-general-red-regular);
    border-color: var(--ch-color-general-red-regular);
}

.ch-badge-blue {
    background-color: var(--ch-color-general-blue-regular);
    border-color: var(--ch-color-general-blue-regular);
}

.ch-badge-light-red {
    background-color: var(--ch-color-general-red-light-mid);
    border-color: var(--ch-color-general-red-light-mid);
}

.ch-badge-gray {
    background-color: var(--ch-color-secondary-dark-low);
    border-color: var(--ch-color-secondary-dark-low);
}

.ch-badge-secondary {
    background-color: transparent;
    background-color: white;
    color: var(--ch-color-primary-black);
    border: 1px solid var(--ch-color-primary-black);
}

.ch-badge-primary {
    background-color: var(--ch-color-primary-black);
    border: 1px solid var(--ch-color-primary-black);
}

.ch-badge-no-fill {
    background-color: none;
    border: 1px solid var(--ch-color-primary-regular);
    color: var(--ch-color-primary-regular);
    padding: 5px 10px;
    border-radius: 2px;
    font-weight: 600;
}

.ch-badge-gray {
    background-color: var(--ch-color-secondary-regular-max);
}

.ch-badge-no-fill-primary {
    border: 1px solid var(--ch-color-primary-black);
    color: var(--ch-color-primary-black);
    font-weight: 600;
}

.ch-badge-no-fill-secondary {
    border: 1px solid var(--ch-color-primary-black);
    color: var(--ch-color-primary-black);
    background-color: var(--ch-color-secondary-white);
    font-weight: 600;
}

.ch-badge-no-fill-green {
    border: 1px solid var(--ch-color-general-green-regular);
    color: var(--ch-color-general-green-regular);
    font-weight: 600;
}

.ch-badge-no-fill-yellow {
    border: 1px solid var(--ch-color-general-yellow-regular);
    color: var(--ch-color-general-yellow-regular);
    font-weight: 600;
}

.ch-badge-no-fill-red {
    border: 1px solid var(--ch-color-general-red-regular);
    color: var(--ch-color-general-red-regular);
    font-weight: 600;
}

.ch-badge-no-fill-blue {
    border: 1px solid var(--ch-color-general-blue-regular);
    color: var(--ch-color-general-blue-regular);
    font-weight: 600;
}

.k-grid td.ch-fit,
.k-grid th.ch-fit {
    width: auto !important;
    white-space: nowrap;
    padding-left: 8px;
    padding-right: 8px;
}

.ch-legend {
    width: 48px;
    height: 10px;
    display: flex;
    gap: 4px;
}

.k-form.custom {
    padding-top: 0px;
}

.nav-tabs > li > a {
    background-color: var(--ch-color-secondary-light-mid);
    color: var(--ch-color-secondary-dark-max);
}

    .nav-tabs > li > a.k-disabled {
        color: var(--kendo-disabled-text, inherit);
    }


.nav-tabs > li.active > a {
    background-color: var(--ch-color-primary-black);
    color: white;
}

    .nav-tabs > li.active > a:hover {
        background-color: var(--ch-color-primary-black);
        color: white;
    }


html {
    font-size: 16px;
    position: relative;
    min-height: 100%;
}

.button-right {
    margin-left: auto;
    display: flex;
    justify-content: flex-end;
}

body {
    font-family: 'Kia Signature', sans-serif;
    background-color: var(--ch-color-secondary-white);
    color: var(--ch-color-primary-black);
    margin-bottom: 160px;
}


#chLogo,
.chLogo {
    margin: 20px 0px;
}

#clientImg,
.ch-navbar-standard-logo {
    max-height: 65px;
}

.ch-nav-bar {
    background: white;
    position: sticky;
    top: 0;
    z-index: 1000;
}

.navbar {
    min-height: fit-content !important;
}

.navbar-nav {
    width: 100% !important;
}

    .navbar-nav.navbar-right {
        display: flex;
        align-items: center;
    }

        .navbar-nav.navbar-right > li {
            margin-left: 15px;
        }

        .navbar-nav.navbar-right .dropdown-toggle,
        .navbar-nav.navbar-right .header-icon {
            display: flex;
            align-items: center;
            padding: 15px 10px;
        }

.header-icon .badge {
    margin-left: 4px;
}

.header-icon {
    padding-top: 3px;
}

li.dropdown.navbar-right.pt_10:hover {
    background-color: transparent !important;
}

.navbar.carnet-nav {
    padding: 0px 3.5%;
    border-bottom: 2px solid var(--ch-color-primary-regular);
    transition: border-bottom-color 150ms ease-in-out
}

ul.nav.navbar-nav > li:hover {
    background-color: var(--ch-color-primary-light-max);
    transition: 0.2s cubic-bezier(0.37, 0, 0.63, 1);
}

.k-list.k-list-md .k-list-item.k-selected:hover {
    color: white !important;
    background-color: var(--ch-color-primary-black) !important;
    background-image: none;
}

.carnet-nav {
    background: white;
    border-top: 1px solid var(--ch-color-secondary-light-mid);
    border-bottom: 1px solid var(--ch-color-secondary-light-mid);
    margin-bottom: 0 !important;
}

.container-fluid > .navbar-collapse, .container-fluid > .navbar-header, .container > .navbar-collapse, .container > .navbar-header {
    padding: 0px;
}

.carnet-nav ul li a {
    font-size: 15px !important;
    font-weight: 600;
    color: var(--ch-color-secondary-dark-max) !important;
}

    .carnet-nav ul li a.active {
        background: var(--ch-color-primary-regular) !important;
        color: white !important;
    }

        .carnet-nav ul li a.active:hover, .carnet-nav ul li a.active:focus {
            background: var(--ch-color-primary-regular) !important;
        }

.navbar-default .navbar-nav > .open > a {
    background: var(--ch-color-primary-light-max) !important;
}

    .navbar-default .navbar-nav > .open > a:active {
        background: var(--ch-color-primary-regular) !important;
    }

.ch-navbar-toggle-client-logo {
    display: none;
    max-width: 80%;
}

a.navbar-carnet img {
    height: 38px;
}

a:focus {
    outline: none !important;
}

.dropdown-menu {
    border: 1px solid var(--ch-color-secondary-light-mid);
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
    border-radius: 2px;
    background-color: var(--ch-color-secondary-white);
    padding: 6px 0;
    min-width: 160px;
    transition: box-shadow 0.2s ease-in-out;
}

.footer {
    background-color: var(--ch-color-primary-black);
    color: var(--ch-color-secondary-white);
    padding: 0px 32px;
    border-top: 1px solid var(--ch-color-secondary-light-mid);
    position: absolute;
    bottom: 0;
    width: 100%;
    height: auto;
    left: 0;
}

    .footer .container {
        padding-top: 10px;
    }

.footer-content {
    max-width: 1400px;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    gap: 16px;
    font-size: 14px;
    font-weight: 500;
    padding-bottom: 12px;
}

.footer-logos {
    padding-top: 12px;
}

    .footer-logos img {
        max-height: 60px;
        max-width: 100%;
    }

.footer-text {
    color: var(--ch-color-secondary-regular-max);
}

.msg-box {
    border: unset !important;
    border-radius: 5px;
    border: solid;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    width: 100px;
    padding: 8px;
    background-color: #ffffff;
}

.msg-box-user {
    position: relative;
    left: -120%;
    width: 200px;
}

.msh-box-header {
    text-align: center;
    font-size: 14px;
    background: #fff;
    padding: 8px 0;
    color: #05141F;
    border-radius: 5px 5px 0 0;
    border-bottom: 1px solid #e7e7e7;
}

.msg-box-body {
    text-align: center;
    font-size: 18px;
    padding: 10px 0;
    color: #05141F;
    background-color: #ffffff;
    border-radius: 5px;
    height: 82px;
}

#window {
    display: none;
    height: max-content;
}

    #window table {
        border: none;
        float: right;
    }

.kia-box {
    border: 1px solid var(--ch-color-primary-black);
    background-color: var(--ch-color-secondary-white);
    border-radius: 0.25rem;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
    overflow: hidden;
    display: flex;
    flex-direction: column;
    min-width: 220px;
    transition: box-shadow 0.2s ease-in-out;
}

    .kia-box:hover {
        box-shadow: 0 4px 12px rgba(0, 0, 0, 0.15);
    }

.kia-box-header {
    text-align: center;
    font-size: 1rem;
    background: var(--ch-color-primary-black);
    color: var(--ch-color-secondary-white);
    padding: 0.75rem 1rem;
    font-weight: 600;
    border-bottom: 1px solid var(--ch-color-secondary-light-mid);
}

.kia-box-body {
    text-align: center;
    font-size: 3rem;
    padding: 24px 16px;
    color: var(--ch-color-primary-black);
    background-color: var(--ch-color-secondary-white);
    flex-grow: 1;
}

.rddlPopup_Bootstrap .rddlItemSelected {
    background-color: #05141F !important;
}


.dropdown-menu {
    padding: 0px 0px;
}

ul.dropdown-menu li a {
    padding: 10px 16px;
    border-bottom: 1px solid var(--ch-color-secondary-light-mid);
    color: var(--ch-color-secondary-dark-mid);
    font-size: 14px;
    display: block;
    transition: background-color 0.2s ease-in-out, color 0.2s;
}

    ul.dropdown-menu li a:hover {
        background-color: var(--ch-color-secondary-light-low);
        color: var(--ch-color-primary-dark-mid);
    }

#btFilter {
    width: 34px;
    height: 34px;
}

#showFilters {
    width: 34px;
    height: 34px;
}

#filterButton > label {
    text-align: center;
}

#innerDiv {
    width: fit-content;
    display: none;
    border: 1px solid var(--ch-color-secondary-light-mid);
    padding: 10px 15px 10px 15px;
    border-radius: 2px;
    background-color: white;
    gap: 0.8rem;
}

    #innerDiv .k-form-field {
        display: flex;
        flex-direction: column;
    }


.red {
    background-color: #ffcdd2 !important;
}

.yellow {
    background-color: #ffecb3 !important;
}

.green {
    background-color: #c8e6c9 !important;
}

.gray {
    background-color: var(--ch-color-secondary-dark-low) !important;
}

.color-blue {
    color: var(--ch-color-general-blue-regular) !important;
}

.color-red {
    color: var(--ch-color-general-red-regular) !important;
}

.color-green {
    color: var(--ch-color-general-green-regular) !important;
}


.white-background {
    background: #fff !important;
}

.mainTabStripHeaderText {
    font-family: 'Kia Signature', sans-serif !important;
}

.k-form .ch-grid {
    width: 100%;
}

.header-bar {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding:0px 3.5%;
    height: 90px;
    gap: 20px;
}

    .header-bar #clientImg {
        margin-left: auto;
    }

.header-brand {
    display: flex;
    align-items: center;
    gap: 12px;
}


.language-dropdown {
    width: 120px;
}

.header-bar .language-dropdown {
    margin-left: 0.5rem;
}

.search-right {
    display: flex;
    justify-content: flex-end;
}



/*
odavd3e video za kartice nav dashboard*/


.card-image {
    width: 80px;
    height: 80px;
}

.top-section {
    display: flex;
    justify-content: space-between
}

.cards-section {
    width: 100%;
    justify-content: right;
    display: flex;
    gap: 24px;
    flex-wrap: wrap;
    flex-direction: row-reverse;
}

    .cards-section #btnAddCredit {
        display: flex;
        justify-content: space-between;
        align-items: center;
        min-height: 66px;
        max-height: 66px;
        min-width: 200px;
        max-width: 220px;
        border-radius: 4px;
        color: var(--ch-color-secondary-light-max);
    }

        .cards-section #btnAddCredit .k-button-text {
            font-size: 1.125rem;
        }

        .cards-section #btnAddCredit #txtSmsCredit {
            font-size: 1.375rem;
        }

.custom-card-container {
    display: flex;
    justify-content: flex-start;
    flex-direction: row;
    background: #fff;
    border: 1px solid var(--ch-color-primary-dark-max);
    border-radius: 4px;
    box-shadow: 0 2px 6px rgba(0,0,0,0.1);
    overflow: hidden;
    min-width: 200px;
    height: fit-content;
    min-height: 66px;
    max-height: 66px;
}

    .custom-card-container:hover,
    .custom-card-container:focus,
    ul.dropdown-menu li a,
    .header-brand {
        text-decoration: none;
    }

    .custom-card-container:hover {
        background-color: var(--ch-color-secondary-light-max);
    }

.custom-card-header {
    display: flex;
    align-items: center;
    column-gap: 7px;
    color: var(--ch-color-primary-dark-max);
    font-size: 1.25rem;
    font-weight: 600;
}

.custom-card-body {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 1rem;
    gap: 0.5rem;
}


    .custom-card-body #txtSmsCredit {
        text-align: center;
        font-size: 2rem;
        font-weight: bold;
        color: var(--ch-color-primary-dark-max);
    }

@media only screen and (max-width: 768px) {
    .kia-box {
        min-width: 100%;
        font-size: 14px;
    }

    .kia-box-body {
        font-size: 28px;
        padding: 16px;
    }

    .kia-box-header {
        font-size: 1rem;
        padding: 10px;
    }

    .msg-box {
        width: 100%;
        padding: 12px;
        font-size: 14px;
    }

    .msh-box-header,
    .msg-box-body {
        font-size: 14px;
        padding: 8px 0;
    }

    .dropdown-menu {
        min-width: 100%;
    }

    .footer-content {
        flex-direction: column;
        gap: 12px;
        font-size: 12px;
        text-align: center;
    }

    .navbar-nav {
        flex-direction: column;
        align-items: flex-start;
    }

    .k-button.k-primary {
        max-width: unset;
    }

    .k-form {
        flex-direction: column;
        align-items: stretch;
        gap: 12px;
    }

    .k-grid table {
        min-width: 500px;
    }
}

.dropdown-submenu {
    position: relative;
}

    .dropdown-submenu .dropdown-menu {
        top: 0;
        left: 100%;
        margin-top: 0;
    }

    .dropdown-submenu > a:after {
        content: "\25B6";
        float: right;
        font-size: 0.6em;
        margin-top: 0.125rem;
    }


.ch-page-content {
    display: none;
}

.ch-loader-container {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 2rem;
    border-radius: 2px;
    margin-bottom: 1rem;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 9999;
    width: 100vw;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.ch-main-spinner {
    width: 64px;
    height: 64px;
    border: 4px solid var(--ch-color-primary-light-mid);
    border-top: 4px solid var(--ch-color-primary-regular);
    border-radius: 50%;
    animation: spin 0.8s linear infinite;
}

@keyframes spin {
    to {
        transform: rotate(360deg);
    }
}

input[type=checkbox]:focus {
    outline: none !important;
}

.btn:focus {
    outline: none !important;
}

.k-grid a.client-link {
    background-color: white;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    border-radius: 2px;
    width: 24px;
    height: 24px;
}

    .k-grid a.client-link:hover {
        background-color: var(--ch-color-primary-light-max);
    }

    .k-grid a.client-link:active {
        background-color: var(--ch-color-primary-light-mid);
    }

.error-text,
.errorSpan {
    color: var(--ch-color-general-red-regular);
    font-size: 0.75rem;
    margin: 0;
    margin-top: 0.5rem;
}

#btnSignOut {
    max-width: none;
}

/* TOP OF SCREEN ALERT STYLING */
.GDPR-info,
.ch-info-bar,
.ch-error-bar,
.ch-warning-bar,
.ch-success-bar {
    user-select: none;
    display: none;
    font-size: 1rem;
    font-weight: 600;
    width: 100%;
    padding: 0.625rem 5%;
    color: white;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    column-gap: 1.25rem;
}

    .GDPR-info p,
    .ch-info-bar p,
    .ch-error-bar p,
    .ch-warning-bar p,
    .ch-success-bar p {
        margin: 0;
    }

.ch-info-bar {
    background-color: var(--ch-color-general-blue-light-max);
    color: var(--ch-color-general-blue-dark-mid);
}

.ch-error-bar, .GDPR-info.blocked {
    background-color: var(--ch-color-general-red-light-max);
    color: var(--ch-color-general-red-dark-low);
}

.ch-warning-bar {
    background-color: var(--ch-color-general-yellow-light-mid);
    color: var(--ch-color-general-yellow-dark-mid);
    --icon-background: color: var(--ch-color-general-yellow-dark-mid);
}

.ch-success-bar, .GDPR-info {
    background-color: var(--ch-color-general-green-light-max);
    color: var(--ch-color-general-green-dark-low);
}


.ch-info-bar .ch-badge,
.ch-info-bar .ch-badge-primary {
    background-color: white;
    color: var(--ch-color-general-blue-dark-mid);
}


.ch-bar-icon {
    display: flex;
    justify-content: center;
    align-items: center;
}

    .ch-bar-icon + span {
        padding-top: 0.125rem;
    }

.ch-bar__icon-text-container {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    column-gap: 0.75rem;
}

.ch-row {
    display: flex;
    flex-direction: row;
}

.ch-col {
    display: flex;
    flex-direction: column;
}

td[role="gridcell"] button.k-button.k-state-disabled {
    pointer-events: none;
}

.ch-notification-alert {
    display: flex;
    flex-direction: column;
    gap: 8px;
    border-radius: 2px;
    padding: 15px 20px;
}

    .ch-notification-alert .header {
        display: flex;
        justify-content: space-between;
    }

        .ch-notification-alert .header .left-section {
            display: flex;
            flex-wrap: wrap;
            flex-direction: row;
            align-items: center;
            align-content: center;
            gap: 6px;
            font-size: 1.1rem;
        }

            .ch-notification-alert .header .left-section .header-icon,
            .ch-notification-alert .header .left-section .header-title {
                font-size: 1.1rem;
                font-weight: 600;
            }

                .ch-notification-alert .header .left-section .header-icon span {
                    font-size: 1.6rem;
                }

        .ch-notification-alert .header .right-section .action .close-icon {
            font-size: 1.4rem;
            cursor: pointer;
        }

    .ch-notification-alert .content .content-text {
        font-size: 1rem;
    }

    .ch-notification-alert.info {
        border: var(--ch-color-general-blue-dark-mid) 1px solid;
        background: var(--ch-color-general-blue-light-max);
        color: var(--ch-color-general-blue-dark-max);
    }

    .ch-notification-alert.error {
        border: var(--ch-color-general-red-dark-mid) 1px solid;
        background: var(--ch-color-general-red-light-max);
        color: var(--ch-color-general-red-dark-max);
    }

    .ch-notification-alert.warning {
        border: var(--ch-color-general-yellow-dark-mid) 1px solid;
        background: var(--ch-color-general-yellow-light-max);
        color: var(--ch-color-general-yellow-dark-max);
    }

    .ch-notification-alert.success {
        border: var(--ch-color-general-green-dark-mid) 1px solid;
        background: var(--ch-color-general-green-light-max);
        color: var(--ch-color-general-green-dark-max);
    }

/* FOR QUERY BUILDER SPECIFIC STYLING */
.query-builder .btn.btn-xs.btn-success .k-i-checkmark-circle,
.query-builder .btn.btn-xs.btn-danger .k-i-x-circle {
    color: white;
}

.query-builder .rules-group-container .error-text {
    font-size: 0.875rem;
}

#query-filter .btn-primary {
    font-size: 0.875rem !important;
    text-transform: uppercase;
    background-color: var(--ch-color-primary-black);
    color: white;
    padding: 3px 10px;
    border-radius: 2px;
    border: none;
}

    #query-filter .btn-primary:hover {
        border-color: transparent;
    }

#query-filter .btn.btn-xs.btn-primary.active:not(a), .btn-primary.active:not(a):hover {
    background-color: var(--ch-color-primary-light-low);
    border-color: var(--ch-color-primary-light-low);
    cursor: default;
}

.rules-group-header .btn-group.pull-right.group-actions {
    display: flex;
    column-gap: 0.25rem;
}

/* New mobile nav bar */

.navbar-collapse.collapse {
    padding: 0px;
}

@media(min-width: 2560px){
    .navbar.carnet-nav {
        padding: 0px 8%;
    }

    .header-bar {
        padding: 0px 8%;
    }
}

@media(max-width:786px) {
    .ch-navbar-toggle-client-logo {
        display: block;
        max-height: 50px !important;
    }

    .ch-navbar-standard-logo {
        max-width: 75px;
        display: none;
    }

    #chLogo {
        width: 100%;
        height: fit-content;
        max-height: 80px;
        margin: 10px 0px;
    }

    .navbar-header {
        display: flex;
        flex-direction: row;
        width: 100%;
        align-items: center;
        justify-content: space-between;
        gap: 10px;
    }

    .navbar.carnet-nav {
        padding:0px;
    }

        .navbar-collapse.collapsing,
        .navbar-collapse.collapse.in {
            padding: 0px;
            display: flex;
            justify-content: center;
        }

            .navbar-collapse.collapsing .nav.navbar-nav,
            .navbar-collapse.collapse.in .nav.navbar-nav {
                display: flex;
                margin: 0px;
            }

                .navbar-collapse.collapsing .nav.navbar-nav li,
                .navbar-collapse.collapse.in .nav.navbar-nav li {
                    width: 100%;
                }

                .navbar-collapse.collapsing .nav.navbar-nav .dropdown.navbar-right.pt_10,
                .navbar-collapse.collapse.in .nav.navbar-nav .dropdown.navbar-right.pt_10 {
                    padding: 10px;
                }

        .header-bar {
            gap: 10px;
            margin: 0px 0px 16px 0px;
            flex-direction: column;
            height: auto;
            justify-content: center;
        }
    }

#directMarketingNavBar a.active {
    pointer-events: none;
}
